---
title: List datasets (deprecated)
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[AI Gateway](https://developers.cloudflare.com/api/go/resources/ai_gateway)

[Datasets](https://developers.cloudflare.com/api/go/resources/ai_gateway/subresources/datasets)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List datasets (deprecated)

client.AIGateway.Datasets.List(ctx, gatewayID, params) (\*V4PagePaginationArray\[[DatasetListResponse](<https://developers.cloudflare.com/api/go/resources/ai_gateway#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/ai-gateway/gateways/{gateway\_id}/datasets

Lists the datasets defined for an AI Gateway. Evaluations and datasets are deprecated and unavailable to new accounts.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`AI Gateway Write``AI Gateway Read`

##### ParametersExpand Collapse

gatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

[Link to this property](<#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20gateway_id%20%3E%20(schema)>)

<details>

<summary>

params DatasetListParams

</summary>

AccountID param.Field\[string]

Path param

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Enable param.Field\[bool]Optional

Query param

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20enable">Link to this property</a>

Name param.Field\[string]Optional

Query param

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

Page param.Field\[int64]Optional

Query param

minimum1

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[int64]Optional

Query param

maximum100

minimum1

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

Search param.Field\[string]Optional

Query param: Search by id, name, filters

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20search">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.datasets%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type DatasetListResponse struct{…}

</summary>

ID string

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

Enable bool

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20enable">Link to this property</a>

<details>

<summary>

Filters \[]DatasetListResponseFilter

</summary>

<details>

<summary>

Key DatasetListResponseFiltersKey

</summary>

One of the following:

const DatasetListResponseFiltersKeyCreatedAt DatasetListResponseFiltersKey = "created\_at"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%200">Link to this property</a>

const DatasetListResponseFiltersKeyRequestContentType DatasetListResponseFiltersKey = "request\_content\_type"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%201">Link to this property</a>

const DatasetListResponseFiltersKeyResponseContentType DatasetListResponseFiltersKey = "response\_content\_type"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%202">Link to this property</a>

const DatasetListResponseFiltersKeySuccess DatasetListResponseFiltersKey = "success"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%203">Link to this property</a>

const DatasetListResponseFiltersKeyCached DatasetListResponseFiltersKey = "cached"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%204">Link to this property</a>

const DatasetListResponseFiltersKeyProvider DatasetListResponseFiltersKey = "provider"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%205">Link to this property</a>

const DatasetListResponseFiltersKeyModel DatasetListResponseFiltersKey = "model"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%206">Link to this property</a>

const DatasetListResponseFiltersKeyCost DatasetListResponseFiltersKey = "cost"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%207">Link to this property</a>

const DatasetListResponseFiltersKeyTokens DatasetListResponseFiltersKey = "tokens"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%208">Link to this property</a>

const DatasetListResponseFiltersKeyTokensIn DatasetListResponseFiltersKey = "tokens\_in"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%209">Link to this property</a>

const DatasetListResponseFiltersKeyTokensOut DatasetListResponseFiltersKey = "tokens\_out"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%2010">Link to this property</a>

const DatasetListResponseFiltersKeyDuration DatasetListResponseFiltersKey = "duration"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%2011">Link to this property</a>

const DatasetListResponseFiltersKeyFeedback DatasetListResponseFiltersKey = "feedback"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%2012">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key">Link to this property</a>

<details>

<summary>

Operator DatasetListResponseFiltersOperator

</summary>

One of the following:

const DatasetListResponseFiltersOperatorEq DatasetListResponseFiltersOperator = "eq"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%200">Link to this property</a>

const DatasetListResponseFiltersOperatorContains DatasetListResponseFiltersOperator = "contains"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%201">Link to this property</a>

const DatasetListResponseFiltersOperatorLt DatasetListResponseFiltersOperator = "lt"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%202">Link to this property</a>

const DatasetListResponseFiltersOperatorGt DatasetListResponseFiltersOperator = "gt"

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator">Link to this property</a>

<details>

<summary>

Value \[]DatasetListResponseFiltersValueUnion

</summary>

One of the following:

UnionString

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value%20%3E%20(items)%20%3E%20(variant)%200">Link to this property</a>

UnionFloat

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value%20%3E%20(items)%20%3E%20(variant)%201">Link to this property</a>

UnionBool

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value%20%3E%20(items)%20%3E%20(variant)%202">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20filters">Link to this property</a>

GatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20gateway_id">Link to this property</a>

ModifiedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

Name string

<a href="#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.datasets%20%3E%20(model)%20DatasetListResponse%20%3E%20(schema)>)

### List datasets (deprecated)

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.AIGateway.Datasets.List(
    context.TODO(),
    "my-gateway",
    ai_gateway.DatasetListParams{
      AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enable": true,
      "filters": [
        {
          "key": "created_at",
          "operator": "eq",
          "value": [
            "string"
          ]
        }
      ],
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enable": true,
      "filters": [
        {
          "key": "created_at",
          "operator": "eq",
          "value": [
            "string"
          ]
        }
      ],
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name"
    }
  ],
  "success": true
}
```